cloud-publish-image(1)

NAME
cloud-publish-image - publish a cloud image

SYNOPSIS
cloud-publish-image [OPTIONS] ARCH IMAGE BUCKET

OPTIONS

-l|--add-launch <user_id>
    user_id can be "all", or "none"

--dry-run
    only report what would be done

--allow-existing
    if a image is already registered simply report as if work was done

-o|--output <file>
    write registered id and manifest to file

--rename <publish_path>
    publish to bucket/<publish_path>, default: bucket/<basename(image)>

-t|--type <type>
    type is one of kernel/ramdisk/image/auto. if type is 'image', then:
      -k | --kernel k : use previously registered kernel with id 'k'
                            specify 'none' for no kernel
      -K | --kernel-file f : bundle, upload, use file 'f' as kernel
      -r | --ramdisk r : use previously registered ramdisk with id 'r'
                            specify 'none' for no ramdisk
      -R | --ramdisk-file f : bundle, upload, use file 'f' as ramdisk
      -B | --block-device-mapping m : specify block device mapping in bundle

--save-downloaded d
    save the download image to directory 'd' (applicable only if TARBALL is an URL)

-v|--verbose
    increase verbosity

--name <name>
    register image with given name. basename(publish_path)

ARGUMENTS

ARCH
    Target architecture, one of i386 or x86_64

IMAGE
    Target image to upload and register. If this is a URL, it will be downloaded.

BUCKET
    Target bucket to publish the image to

ENVIRONMENT
Behavior of this program can be modified by environment variables as described below:

EC2PRE
    Underlying tools will be invoked using this prefix. The default is 'euca-', which results in using tools like 'euca-register' and 'euca-bundle-image'. To use the ec2-api-tools or ec2-ami-tools, set EC2PRE='ec2-'

DESCRIPTION
Publish an image to a cloud

AUTHOR
This manpage was written by Dustin Kirkland <kirkland@canonical.com> for Ubuntu systems (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 published by the Free Software Foundation. On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.